Album: Rust Apocalypse [Anniversary Remaster]
Artists:
- Willow Ascenzo
Date: January 5, 2014
Date Added: January 1, 2023
URLs:
- https://wellmanicuredmusic.bandcamp.com/album/rust-apocalypse-anniversary-remaster
Cover Artists:
- Willow Ascenzo
Wallpaper Artists:
- Jebb (edits for wiki)
Wallpaper Parts:
- Asset: none
  Style: |-
    opacity: 0.6;
    background-image: linear-gradient(#ffffff, #e5fffe);
Cover Art File Extension: png
Track Art File Extension: png
Color: '#D36EA7'
Groups:
- Fandom
Additional Files:
- Title: Alternate Covers
  Files:
  - rust 2014 alt 1.png
  - rust 2014 alt 2.png
Commentary: |-
    <i>Willow Ascenzo:</i> ([Bandcamp about blurb](https://wellmanicuredmusic.bandcamp.com/album/rust-apocalypse-anniversary-remaster))

    A remastered version of [[Rust Apocalypse]], released on the anniversary of the original track, which was itself an arrangement and expansion of [[track:rust-servant|a track I composed]] for the Homestuck album [[album:coloUrs-and-mayhem-universe-a]]. This version has been remastered from the original stem tracks for a brighter, clearer sound, and parts of the choir have been redone for additional clarity.

    <i>Willow Ascenzo:</i> ([Bandcamp credits blurb](https://wellmanicuredmusic.bandcamp.com/album/rust-apocalypse-anniversary-remaster), excerpt)

    Based on [["Rust Servant"]], composed in 2012 by [[artist:willow-ascenzo|Willow Ascenzo]], originally released April 2012 on [[album:coloUrs-and-mayhem-universe-a|"coloUrs and mayhem: Universe A"]] via Homestuck and What Pumpkin Studios

    Original [["Rust Apocalypse"]] released in January 2013 by Willow Ascenzo
---
Track: Rust Apocalypse [Anniversary Remaster]
Duration: 07:36
URLs:
- https://wellmanicuredmusic.bandcamp.com/track/rust-apocalypse-anniversary-remaster
Cover Artists:
- Willow Ascenzo
Referenced Tracks:
- Rust Apocalypse
Commentary: |-
    <i>Willow Ascenzo:</i> ([Tumblr](https://wellmanicuredmusic.tumblr.com/post/72285232982), excerpt, 1/5/2014)

    I said I wouldn't have any new music to ring in the new year with, and that's still true, but I listened to [[Rust Apocalypse]] and realized that with my growth in skills and technological advances over the past year I could make the track sound so much clearer and richer than the original release! Marvel at actually hearing more intelligible words in the opening!

    It's only the one track, and it's name-your-price (to be fair to people who bought the [[album:rust-apocalypse|EP]] last year) but you can pay more for it if you want.
